#include "hipc/arduino/ioutils.h"
#include "hipc/arduino/usoc.h"
#include "hipc/usoc.h"

enum HIPC_errno hipcUsocRead(struct HIPC_usoc *so_p, void *buf,
                             const size_t size)
{
    hipcArduinoReadExactly(buf, size);

    return HIPC_SUCCESS;
}

enum HIPC_errno hipcUsocWrite(struct HIPC_usoc *so_p, void const *buf,
                              const size_t size)
{
    hipcArduinoWriteExactly(buf, size);

    return HIPC_SUCCESS;
}
